--- title: "Get image list" slug: "containerregistry-getimages" updated: 2026-09-17T10:05:54Z published: 2026-09-17T10:05:54Z canonical: "api.ncloud-docs.com/containerregistry-getimages" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get image list Available in Classic and VPC Get the list of images registered in a registry of Container Registry. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /ncr/api/v2/repositories/{registry} (Korea Region) | | GET | /ncr/sgn-api/v2/repositories/{registry} (Singapore Region) | | GET | /ncr/jpn-api/v2/repositories/{registry} (Japan Region) | ### Request headers For information about the headers common to all Container Registry APIs, see [Container Registry request headers](/docs/en/compute-containerregistry#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `registry` | String | Required | Name of the registry where the images you are viewing are registered | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `page` | Number | Optional | Page number to query - Enter a value greater than 0 for the page number. | | `pagesize` | Number | Optional | Size of the page to query - Enter a value greater than 0 for the page size. | ### Request example The request example is as follows: ``` curl -X GET 'https://ncr.apigw.ntruss.com/ncr/api/v2/repositories/{registry}' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Sub Account Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response syntax The response syntax is as follows: ``` { "count": "number", "next": "number", "previous": "number", "results": [ { "can_edit": "boolean", "description": "string", "is_automated": "boolean", "is_private": "boolean", "last_updated": "number" "name": "string", "namespace": "string", "pull_count": "number", "repository_type": "string", "star_count": "number", "status": "number", "user": "string", } ] } ``` ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `count` | Number | - | Total number of registries registered | | `next` | Number | - | Number of the next page - It returns null if there is no next page | | `previous` | Number | - | Number of the previous page - It returns null if there is no previous page | | `results` | Array | - | Response result: [results](/docs/en/containerregistry-getimages#results) | #### `results` The following describes `results`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `can_edit` | Boolean | - | Currently not used | | `description` | String | - | Short description for the image | | `is_automated` | Boolean | - | Not used | | `is_private` | Boolean | - | Not used | | `last_update` | Number | - | Last modification date of the image - It returns the number of milliseconds that have elapsed since January 1, 1970 00:00:00 UTC | | `name` | String | - | Image name | | `namespace` | String | - | Registry name | | `pull_count` | Number | - | Total pull count value for the image | | `repository_type` | String | - | Not used | | `star_count` | Number | - | Not used | | `status` | Number | - | Not used | | `user` | String | - | Not used | ### Response status codes For information about the HTTP status codes common to all Container Registry APIs, see [Container Registry response status codes](/docs/en/compute-containerregistry#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "count": 1, "next": null, "previous": null, "results": [ { "can_edit": true, "description": null, "is_automated": null, "is_private": null, "last_updated": 1711928488000, "name": "ncpdocker", "namespace": "ncpdocker", "pull_count": 0, "repository_type": "image", "star_count": null, "status": 0, "user": null } ] } ```